Автор Тема: Pam_mount, cifsmount и Альт-Линукс 5.0.2 - Решено  (Прочитано 10622 раз)

Оффлайн ruslandh

  • Поспешай не торопясь !
  • Модератор глобальный
  • *****
  • Сообщений: 32 303
  • Учиться .... Телепатами не рождаются, ими ....
    • Email
Re: Pam_mount, cifsmount и Альт-Линукс 5.0.2
« Ответ #30 : 29.01.2011 09:52:40 »
Можно и откатиться на "тридцатое (2.6.30 std-def)"

Оффлайн shandl

  • Завсегдатай
  • *
  • Сообщений: 150
    • www.shandl.narod.ru
    • Email
Re: Pam_mount, cifsmount и Альт-Линукс 5.0.2
« Ответ #31 : 29.01.2011 15:27:44 »
Ядра обычно мало влияют на работу программ, обычно они влияют на работу с железом.
Вы меня успокоили. То есть можно не заботиться об "установке Мастера 5.0.2 вместо Мастера 5.0.1", а просто обновить Мастера 5.0.1 до "последнего-последнего" из официальных репов, не обновляя ядро, добавить репозитории, которые появились (Этерсофтовский и плеера), и  будет то же самое, что Мастер 5.0.2, но с "тридцатым" ядром?
Месяц "Маму" по галактике попоем - и воздух купим!
(Кин-Дза!-Дза!)

Оффлайн ruslandh

  • Поспешай не торопясь !
  • Модератор глобальный
  • *****
  • Сообщений: 32 303
  • Учиться .... Телепатами не рождаются, ими ....
    • Email
Re: Pam_mount, cifsmount и Альт-Линукс 5.0.2
« Ответ #32 : 29.01.2011 15:44:01 »
В принципе, да.

Оффлайн shandl

  • Завсегдатай
  • *
  • Сообщений: 150
    • www.shandl.narod.ru
    • Email
Re: Pam_mount, cifsmount и Альт-Линукс 5.0.2
« Ответ #33 : 30.01.2011 09:46:55 »
В принципе, да.
Тогда... Тогда последний вопрос в этой ветке (надеюсь :) ) :
Как поставить Новый Легкий, но чтобы ядро у него было 2.6.30, а не то, которое сейчас - 2.6.32? Это вообще возможно?
Если да, то какие способы (например, установить НЛ 5.0.2, а потом сменить как-то ядро, или каким-либо образом модифицировать "Легкий 5.0.1", доставив нужные пакеты или еще как-нибудь...) могут привести к нужному результату?
Месяц "Маму" по галактике попоем - и воздух купим!
(Кин-Дза!-Дза!)

Оффлайн Skull

  • Глобальный модератор
  • *****
  • Сообщений: 19 962
    • Домашняя страница
    • Email
Re: Pam_mount, cifsmount и Альт-Линукс 5.0.2
« Ответ #34 : 30.01.2011 21:15:34 »
Как поставить Новый Легкий, но чтобы ядро у него было 2.6.30, а не то, которое сейчас - 2.6.32? Это вообще возможно?
Нет.
Андрей Черепанов (cas@)

Оффлайн Карлсон

  • Завсегдатай
  • *
  • Сообщений: 1 699
Re: Pam_mount, cifsmount и Альт-Линукс 5.0.2
« Ответ #35 : 30.01.2011 21:20:18 »
например, установить НЛ 5.0.2, а потом сменить как-то ядро

Установите. А потом скачайте нужное ядро и модули, и установите их. Скорее всего сработает.

Оффлайн Balbes

  • alt linux team
  • ***
  • Сообщений: 895
Re: Pam_mount, cifsmount и Альт-Линукс 5.0.2
« Ответ #36 : 30.01.2011 23:25:09 »
Как поставить Новый Легкий, но чтобы ядро у него было 2.6.30, а не то, которое сейчас - 2.6.32? Это вообще возможно?
вариант 1 : ставите 5.0.2 , потом подключаете в качестве репозитория диск с прежними Школьным Мастером\Юниором\Легким, где используется "старое ядро"  (естественно отключив остальные репы) и ставите с этих дисков все необходимые пакеты от ядра 2.6.30 (они начинаются на kernel-*).  При установке автоматом добавиться ядро 2.6.30 в качестве основной при загрузке, плюс останется возможность загружаться с ядром 2.6.32 (если Вы его сами принудительно не удалите потом).
вариант 2 : сразу использовать образ с новым набором софта и "старым" ядром (2.6.30).
Правда не знаю, будут ли какие побочные глюки от этого, у меня пока таких не обнаружилось (использую последние пакеты софта из р5 и ядро 2.6.30).
« Последнее редактирование: 30.01.2011 23:40:52 от Balbes »

Оффлайн Карлсон

  • Завсегдатай
  • *
  • Сообщений: 1 699
Re: Pam_mount, cifsmount и Альт-Линукс 5.0.2
« Ответ #37 : 30.01.2011 23:29:21 »
и ставите с этих дисков все пакеты от ядра 2.6.30 (они начинаются на kernel-*). 

Только не надо ставить ВСЕ пакеты. Обычно хватает двух-трех помимо самого ядра (драйвера звука, видео, сети).

Оффлайн Balbes

  • alt linux team
  • ***
  • Сообщений: 895
Re: Pam_mount, cifsmount и Альт-Линукс 5.0.2
« Ответ #38 : 30.01.2011 23:39:44 »
и ставите с этих дисков все пакеты от ядра 2.6.30 (они начинаются на kernel-*). 

Только не надо ставить ВСЕ пакеты. Обычно хватает двух-трех помимо самого ядра (драйвера звука, видео, сети).
Под термином "все" подразумеваются те, что нужны. Как вариант, что-бы не ломать голову - дублируются те, что уже установлены для прежнего ядра, что-бы системы были как можно более идентичными.

Оффлайн shandl

  • Завсегдатай
  • *
  • Сообщений: 150
    • www.shandl.narod.ru
    • Email
Проблема решена!
И на Мастере 5.0.1 это " options="rw"" работало - опции "rw" хватало, чтобы подмонтировать указанный сетевой ресурс для чтения-записи.
На Мастере 5.0.2 - отвалилось. То есть сетевой ресурс стал монтироваться только для чтения.
Оказывается, в Мастере 5.0.2 одной "rw" мало, необходимо еще указать параметры file_mode=0666,dir_mode=0777
Достаточно было вышеупомянутую строчку в /etc/security/pam_mount.conf.xml
<!-- Volume definitions -->
<volume uid="5000-10000" fstype="cifs" server="server" path="Обменный диск" mountpoint="/home/%(USER)/Обменный сетевой диск" options="rw"/>
переписать как:
<!-- Volume definitions -->
<volume uid="5000-10000" fstype="cifs" server="server" path="Обменный диск" mountpoint="/home/%(USER)/Обменный сетевой диск" options="rw,file_mode=0666,dir_mode=0777"/>
как все заработало так, как надо!
Спасибо за помощь! Решение подсказано в этой ветке: http://forum.altlinux.org/index.php/topic,10278.0.html
« Последнее редактирование: 29.03.2011 14:00:42 от shandl »
Месяц "Маму" по галактике попоем - и воздух купим!
(Кин-Дза!-Дза!)